using System;
using System.Collections.Generic;

using Sce.PlayStation.Core;
using Sce.PlayStation.Core.Environment;
using Sce.PlayStation.Core.Graphics;
using Sce.PlayStation.Core.Input;

using Sce.PlayStation.HighLevel.UI;

namespace PSMAnyStore
{
	public class AppMain
	{
		private static GraphicsContext graphics;
		
		public static void Main (string[] args)
		{
			Initialize ();
			UISystem.Initialize (graphics);
			
			UISystem.SetScene (new PSMAnyStore.MainWindow ());
			
			
			while (true) {
				SystemEvents.CheckEvents ();

				List<TouchData> touchData = Touch.GetData (0);
				UISystem.Update (touchData);

				graphics.SetViewport (0, 0, graphics.Screen.Width, graphics.Screen.Height);
				graphics.SetClearColor (new Vector4 (0, 0, 0, 1));
				graphics.SetClearDepth (1.0f);
				graphics.Clear ();
    
				UISystem.Render ();
				graphics.SwapBuffers ();
			}
		}

		public static void Initialize ()
		{
			// Set up the graphics system
			graphics = new GraphicsContext ();
		}

		public static void Update ()
		{
			// Query gamepad for current state
			var gamePadData = GamePad.GetData (0);
		}

		public static void Render ()
		{
			// Clear the screen
			graphics.SetClearColor (0.0f, 0.0f, 0.0f, 0.0f);
			graphics.Clear ();

			// Present the screen
			graphics.SwapBuffers ();
		}
	}
}
