using System;
using System.Collections.Generic;
using Sce.PlayStation.Core;
using Sce.PlayStation.Core.Imaging;
using Sce.PlayStation.Core.Environment;
using Sce.PlayStation.HighLevel.UI;

namespace PSMAnyStore
{
	public partial class MainWindow : Scene
	{
		public MainWindow ()
		{
			InitializeWidget ();
			
			Button_1.ButtonAction += HandleButton_1ButtonAction;
			Button_2.ButtonAction += HandleButton_2ButtonAction;
			Button_3.ButtonAction += HandleButton_3ButtonAction;
		}

		void HandleButton_3ButtonAction (object sender, TouchEventArgs e)
		{
			//psns:browse?category=PN.P3.US-PN.P3.GAME.US-BASE
			
			string platform = null, region = null;
			
			switch (PopupList_1.SelectedIndex) {
			case 0:
				platform = "VT";
				break;
			case 1:
				platform = "P3";
				break;
			case 2:
				platform = "PC";
				break;
			}
			
			region = PopupList_2.ListItems [PopupList_2.SelectedIndex];
			
			string address = "psns:browse?category=PN." + platform + "." + region + "-PN." + platform + ".VIDEO." + region + "-BASE";
        
			Shell.Action open = Shell.Action.BrowserAction (address);
			
			Shell.Execute (ref open);
		}

		void HandleButton_2ButtonAction (object sender, TouchEventArgs e)
		{
			
			//psns:browse?category=PN.P3.US-PN.P3.GAME.US-BASE
			
			string platform = null, region = null;
			
			switch (PopupList_1.SelectedIndex) {
			case 0:
				platform = "VT";
				break;
			case 1:
				platform = "P3";
				break;
			case 2:
				platform = "PC";
				break;
			}
			
			region = PopupList_2.ListItems [PopupList_2.SelectedIndex];
			
			string address = "psns:browse?category=PN." + platform + "." + region + "-PN." + platform + ".GAME." + region + "-BASE";
        
			Shell.Action open = Shell.Action.BrowserAction (address);
			
			Shell.Execute (ref open);
		}

		void HandleButton_1ButtonAction (object sender, TouchEventArgs e)
		{
			
			Shell.Action open = Shell.Action.BrowserAction ("about:memory");
			
			Shell.Execute (ref open);
		}
	}
}
